import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonButtons } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { IonButton, IonCard, IonCardContent, IonCardHeader, IonCardSubtitle, IonCardTitle, IonCol, IonFooter, IonGrid, IonIcon, IonRow, IonSearchbar, IonSelectOption } from '@ionic/angular';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent,
    IonButtons,IonSearchbar,IonButton,IonIcon,IonCard,IonCardHeader,IonCardTitle,IonCardContent,
    IonGrid,IonRow,IonCol,IonCardSubtitle,IonFooter,
  ],
})
export class Tab1Page {
  userName: string = '用户姓名'; // 用户姓名
  userBodyType: string = '体型'; // 用户体型
  userSkinTone: string = '肤色'; // 用户肤色

  recommendedItems = [
    {
      name: '优雅的秋季外套',
      price: 89.99,
      image: 'https://example.com/image1.jpg', // 替换为实际图片链接
    },
    {
      name: '经典白衬衫',
      price: 49.99,
      image: 'https://example.com/image2.jpg', // 替换为实际图片链接
    },
  ];

  inspirations = [
    {
      description: '秋季搭配灵感：温暖的色调 + 层次感',
      image: 'https://example.com/inspiration1.jpg', // 替换为实际图片链接
    },
    {
      description: '夏日清新：白色连衣裙的搭配技巧',
      image: 'https://example.com/inspiration2.jpg', // 替换为实际图片链接
    },
  ];

  buyItem(item: any) {
    console.log(`购买: ${item.name}`);
    // 这里可以添加购买逻辑
  }

  addToFavorites(item: any) {
    console.log(`已收藏: ${item.name}`);
    // 这里可以添加收藏逻辑
  }

  viewDetails(item: any) {
    console.log(`查看详情: ${item.name}`);
    // 这里可以添加查看详情逻辑
  }

  likeInspiration(inspiration: any) {
    console.log(`点赞灵感: ${inspiration.description}`);
    // 这里可以添加点赞逻辑
  }

  commentOnInspiration(inspiration: any) {
    console.log(`评论灵感: ${inspiration.description}`);
    // 这里可以添加评论逻辑
  }

  shareInspiration(inspiration: any) {
    console.log(`分享灵感: ${inspiration.description}`);
    // 这里可以添加分享逻辑
  }
}
